Index: ./databases/metakit-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/metakit-lib/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/metakit-lib/buildlink3.mk	3 Oct 2004 00:13:21 -0000	1.2
+++ ./databases/metakit-lib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	metakit-lib
 
 .if !empty(METAKIT_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.metakit-lib+=	metakit-lib>=2.4.8
-BUILDLINK_RECOMMENDED.metakit-lib+=	metakit-lib>=2.4.9.3nb1
+BUILDLINK_API_DEPENDS.metakit-lib+=	metakit-lib>=2.4.8
+BUILDLINK_ABI_DEPENDS.metakit-lib+=	metakit-lib>=2.4.9.3nb1
 BUILDLINK_PKGSRCDIR.metakit-lib?=	../../databases/metakit-lib
 .endif	# METAKIT_LIB_BUILDLINK3_MK
 
Index: ./databases/mysql4-client/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/mysql4-client/buildlink3.mk,v
retrieving revision 1.13
diff -u -r1.13 buildlink3.mk
--- ./databases/mysql4-client/buildlink3.mk	5 Feb 2006 23:08:32 -0000	1.13
+++ ./databases/mysql4-client/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mysql-client
 
 .if !empty(MYSQL_CLIENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mysql-client+=	mysql-client>=4.1.7
-BUILDLINK_RECOMMENDED.mysql-client+=	mysql-client>=4.1.15nb1
+BUILDLINK_API_DEPENDS.mysql-client+=	mysql-client>=4.1.7
+BUILDLINK_ABI_DEPENDS.mysql-client+=	mysql-client>=4.1.15nb1
 BUILDLINK_PKGSRCDIR.mysql-client?=	../../databases/mysql4-client
 BUILDLINK_LIBDIRS.mysql-client?=	lib/mysql
 BUILDLINK_INCDIRS.mysql-client?=	include/mysql
Index: ./databases/mysql5-client/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/mysql5-client/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/mysql5-client/buildlink3.mk	5 Feb 2006 23:08:32 -0000	1.2
+++ ./databases/mysql5-client/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	mysql-client
 
 .if !empty(MYSQL_CLIENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.mysql-client+=	mysql-client>=5.0.15
-BUILDLINK_RECOMMENDED.mysql-client?=	mysql-client>=5.0.18nb1
+BUILDLINK_API_DEPENDS.mysql-client+=	mysql-client>=5.0.15
+BUILDLINK_ABI_DEPENDS.mysql-client?=	mysql-client>=5.0.18nb1
 BUILDLINK_PKGSRCDIR.mysql-client?=	../../databases/mysql5-client
 BUILDLINK_LIBDIRS.mysql-client?=	lib/mysql
 BUILDLINK_INCDIRS.mysql-client?=	include/mysql
Index: ./databases/openldap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/openldap/buildlink3.mk,v
retrieving revision 1.22
diff -u -r1.22 buildlink3.mk
--- ./databases/openldap/buildlink3.mk	6 Jan 2006 15:10:02 -0000	1.22
+++ ./databases/openldap/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	openldap
 
 .if !empty(OPENLDAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.openldap+=		openldap>=2.3.11nb2
+BUILDLINK_API_DEPENDS.openldap+=		openldap>=2.3.11nb2
 BUILDLINK_PKGSRCDIR.openldap?=		../../databases/openldap
 
 # Export the deprecated API from the openldap-2.2.x releases.
Index: ./databases/openldap/options.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/openldap/options.mk,v
retrieving revision 1.15
diff -u -r1.15 options.mk
--- ./databases/openldap/options.mk	29 Dec 2005 20:10:23 -0000	1.15
+++ ./databases/openldap/options.mk	4 Apr 2006 06:26:51 -0000
@@ -61,7 +61,7 @@
 ###
 .if !empty(PKG_OPTIONS:Msasl)
 CONFIGURE_ARGS+=		--with-cyrus-sasl
-BUILDLINK_DEPENDS.cyrus-sasl+=  cyrus-sasl>=2.1.15
+BUILDLINK_API_DEPENDS.cyrus-sasl+=  cyrus-sasl>=2.1.15
 .  include "../../security/cyrus-sasl2/buildlink3.mk"
 .else
 CONFIGURE_ARGS+=		--without-cyrus-sasl
Index: ./databases/p5-DBD-Google/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/p5-DBD-Google/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./databases/p5-DBD-Google/Makefile	4 Mar 2006 21:29:09 -0000	1.8
+++ ./databases/p5-DBD-Google/Makefile	4 Apr 2006 06:26:51 -0000
@@ -14,7 +14,7 @@
 
 PERL5_PACKLIST=		auto/DBD/Google/.packlist
 
-BUILDLINK_DEPENDS.p5-DBI?=	p5-DBI>=1.39
+BUILDLINK_API_DEPENDS.p5-DBI?=	p5-DBI>=1.39
 
 .include "../../databases/p5-DBI/buildlink3.mk"
 
Index: ./databases/p5-DBD-mysql/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/p5-DBD-mysql/Makefile,v
retrieving revision 1.34
diff -u -r1.34 Makefile
--- ./databases/p5-DBD-mysql/Makefile	5 Feb 2006 23:08:32 -0000	1.34
+++ ./databases/p5-DBD-mysql/Makefile	4 Apr 2006 06:26:51 -0000
@@ -14,7 +14,7 @@
 
 DEPENDS+=		p5-Data-ShowTable>=3.3:../../devel/p5-Data-ShowTable
 
-BUILDLINK_DEPENDS.mysql-client?=	mysql-client>=3.23.49nb1
+BUILDLINK_API_DEPENDS.mysql-client?=	mysql-client>=3.23.49nb1
 
 PERL5_PACKLIST=		auto/DBD/mysql/.packlist
 
Index: ./databases/p5-DBI/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/p5-DBI/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./databases/p5-DBI/buildlink3.mk	6 Aug 2005 06:19:06 -0000	1.9
+++ ./databases/p5-DBI/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	p5-DBI
 
 .if !empty(P5_DBI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.p5-DBI+=	p5-DBI>=1.48nb1
+BUILDLINK_API_DEPENDS.p5-DBI+=	p5-DBI>=1.48nb1
 BUILDLINK_PKGSRCDIR.p5-DBI?=	../../databases/p5-DBI
 BUILDLINK_INCDIRS.p5-DBI?=	${PERL5_SUB_INSTALLVENDORARCH}/auto/DBI
 
Index: ./databases/p5-DBI-Shell/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/p5-DBI-Shell/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ./databases/p5-DBI-Shell/Makefile	6 Aug 2005 06:19:06 -0000	1.6
+++ ./databases/p5-DBI-Shell/Makefile	4 Apr 2006 06:26:51 -0000
@@ -19,7 +19,7 @@
 
 PERL5_PACKLIST=		auto/DBI/Shell/.packlist
 
-BUILDLINK_DEPENDS.p5-DBI+=	p5-DBI>=1.37
+BUILDLINK_API_DEPENDS.p5-DBI+=	p5-DBI>=1.37
 
 .include "../../databases/p5-DBI/buildlink3.mk"
 .include "../../lang/perl5/module.mk"
Index: ./databases/p5-DBIWrapper/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/p5-DBIWrapper/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- ./databases/p5-DBIWrapper/Makefile	5 Feb 2006 23:08:33 -0000	1.8
+++ ./databases/p5-DBIWrapper/Makefile	4 Apr 2006 06:26:51 -0000
@@ -20,7 +20,7 @@
 
 PERL5_PACKLIST=		auto/DBIWrapper/.packlist
 
-BUILDLINK_DEPENDS.p5-DBI+=	p5-DBI>=1.37
+BUILDLINK_API_DEPENDS.p5-DBI+=	p5-DBI>=1.37
 
 .include "../../databases/p5-DBI/buildlink3.mk"
 .include "../../lang/perl5/module.mk"
Index: ./databases/php-pdo/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/php-pdo/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/php-pdo/buildlink3.mk	5 Feb 2006 23:08:33 -0000	1.3
+++ ./databases/php-pdo/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=    php-pdo
 
 .if !empty(PHP_PDO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.php-pdo+=        php-pdo-5.*
-BUILDLINK_RECOMMENDED.php-pdo?=      php-pdo>=5.1.1.1.0.2nb1
+BUILDLINK_API_DEPENDS.php-pdo+=        php-pdo-5.*
+BUILDLINK_ABI_DEPENDS.php-pdo?=      php-pdo>=5.1.1.1.0.2nb1
 BUILDLINK_PKGSRCDIR.php-pdo?=      ../../databases/php-pdo
 BUILDLINK_INCDIRS.php-pdo?=        include/php/ext/pdo
 .endif  # PHP_PDO_BUILDLINK3_MK
Index: ./databases/php-pdo_dblib/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/php-pdo_dblib/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- ./databases/php-pdo_dblib/Makefile	5 Feb 2006 23:08:33 -0000	1.5
+++ ./databases/php-pdo_dblib/Makefile	4 Apr 2006 06:26:51 -0000
@@ -10,7 +10,7 @@
 CONFIGURE_ARGS+=	--with-${PKGMODNAME}=shared,${BUILDLINK_DIR}
 
 # requires 0.63 version to compile, doesn't compile with 0.61
-BUILDLINK_DEPENDS.freetds+=	freetds>=0.63
+BUILDLINK_API_DEPENDS.freetds+=	freetds>=0.63
 
 .include "../../databases/freetds/buildlink3.mk"
 .include "../../databases/php-pdo/buildlink3.mk"
Index: ./databases/postgresql73/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql73/Makefile.common,v
retrieving revision 1.16
diff -u -r1.16 Makefile.common
--- ./databases/postgresql73/Makefile.common	4 Mar 2006 21:29:10 -0000	1.16
+++ ./databases/postgresql73/Makefile.common	4 Apr 2006 06:26:51 -0000
@@ -36,8 +36,8 @@
 DIST_VERS?=		7.3.14
 BASE_VERS?=		${DIST_VERS}
 
-BUILDLINK_DEPENDS.postgresql73-lib?=	postgresql73-lib>=${BASE_VERS}
-BUILDLINK_DEPENDS.tcl-postgresql73?=	tcl-postgresql73>=${BASE_VERS}
+BUILDLINK_API_DEPENDS.postgresql73-lib?=	postgresql73-lib>=${BASE_VERS}
+BUILDLINK_API_DEPENDS.tcl-postgresql73?=	tcl-postgresql73>=${BASE_VERS}
 
 USE_TOOLS+=		autoconf gmake
 GNU_CONFIGURE=		YES
Index: ./databases/postgresql73-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql73-lib/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./databases/postgresql73-lib/buildlink3.mk	5 Feb 2006 23:08:34 -0000	1.4
+++ ./databases/postgresql73-lib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	postgresql73-lib
 
 .if !empty(POSTGRESQL73_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.postgresql73-lib+=	postgresql73-lib>=7.3.10
-BUILDLINK_RECOMMENDED.postgresql73-lib?=	postgresql73-lib>=7.3.10nb2
+BUILDLINK_API_DEPENDS.postgresql73-lib+=	postgresql73-lib>=7.3.10
+BUILDLINK_ABI_DEPENDS.postgresql73-lib?=	postgresql73-lib>=7.3.10nb2
 BUILDLINK_PKGSRCDIR.postgresql73-lib?=	../../databases/postgresql73-lib
 BUILDLINK_INCDIRS.postgresql73-lib?=	include/postgresql
 BUILDLINK_FILES.postgresql73-lib+=	include/pgsql/*
Index: ./databases/postgresql74/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql74/Makefile.common,v
retrieving revision 1.32
diff -u -r1.32 Makefile.common
--- ./databases/postgresql74/Makefile.common	8 Mar 2006 02:29:06 -0000	1.32
+++ ./databases/postgresql74/Makefile.common	4 Apr 2006 06:26:51 -0000
@@ -38,8 +38,8 @@
 DIST_VERS?=		7.4.12
 BASE_VERS?=		${DIST_VERS}
 
-BUILDLINK_DEPENDS.postgresql74-lib?=	postgresql74-lib>=${BASE_VERS}
-#BUILDLINK_DEPENDS.tcl-postgresql74?=	tcl-postgresq74l>=${BASE_VERS}
+BUILDLINK_API_DEPENDS.postgresql74-lib?=	postgresql74-lib>=${BASE_VERS}
+#BUILDLINK_API_DEPENDS.tcl-postgresql74?=	tcl-postgresq74l>=${BASE_VERS}
 
 GNU_CONFIGURE=		yes
 BUILD_USES_MSGFMT=	yes
Index: ./databases/postgresql74-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql74-lib/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./databases/postgresql74-lib/buildlink3.mk	5 Feb 2006 23:08:35 -0000	1.8
+++ ./databases/postgresql74-lib/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	postgresql74-lib
 
 .if !empty(POSTGRESQL74_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.postgresql74-lib+=		postgresql{74,}-lib>=7.4.0
-BUILDLINK_RECOMMENDED.postgresql74-lib+=	postgresql74-lib>=7.4.8nb3
+BUILDLINK_API_DEPENDS.postgresql74-lib+=		postgresql{74,}-lib>=7.4.0
+BUILDLINK_ABI_DEPENDS.postgresql74-lib+=	postgresql74-lib>=7.4.8nb3
 BUILDLINK_PKGSRCDIR.postgresql74-lib?=	../../databases/postgresql74-lib
 BUILDLINK_INCDIRS.postgresql74-lib?=	include/postgresql
 
Index: ./databases/postgresql80/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql80/Makefile.common,v
retrieving revision 1.19
diff -u -r1.19 Makefile.common
--- ./databases/postgresql80/Makefile.common	14 Mar 2006 16:23:46 -0000	1.19
+++ ./databases/postgresql80/Makefile.common	4 Apr 2006 06:26:51 -0000
@@ -35,7 +35,7 @@
 DIST_VERS?=		8.0.7
 BASE_VERS?=		${DIST_VERS}
 
-BUILDLINK_DEPENDS.postgresql80-client+=	postgresql80-client>=${BASE_VERS}
+BUILDLINK_API_DEPENDS.postgresql80-client+=	postgresql80-client>=${BASE_VERS}
 
 GNU_CONFIGURE=		yes
 BUILD_USES_MSGFMT=	yes
Index: ./databases/postgresql80-client/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql80-client/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/postgresql80-client/buildlink3.mk	5 Feb 2006 23:08:35 -0000	1.3
+++ ./databases/postgresql80-client/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	postgresql80-client
 
 .if !empty(POSTGRESQL80_CLIENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.postgresql80-client+=		postgresql80-client>=8.0.2
-BUILDLINK_RECOMMENDED.postgresql80-client?=	postgresql80-client>=8.0.5nb1
+BUILDLINK_API_DEPENDS.postgresql80-client+=		postgresql80-client>=8.0.2
+BUILDLINK_ABI_DEPENDS.postgresql80-client?=	postgresql80-client>=8.0.5nb1
 BUILDLINK_PKGSRCDIR.postgresql80-client?=	../../databases/postgresql80-client
 
 .  if defined(PG_SUBPREFIX) && !empty(PG_SUBPREFIX)
Index: ./databases/postgresql81/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql81/Makefile.common,v
retrieving revision 1.3
diff -u -r1.3 Makefile.common
--- ./databases/postgresql81/Makefile.common	28 Mar 2006 19:48:22 -0000	1.3
+++ ./databases/postgresql81/Makefile.common	4 Apr 2006 06:26:51 -0000
@@ -35,7 +35,7 @@
 DIST_VERS?=		8.1.3
 BASE_VERS?=		${DIST_VERS}
 
-BUILDLINK_DEPENDS.postgresql81-client+=	postgresql81-client>=${BASE_VERS}
+BUILDLINK_API_DEPENDS.postgresql81-client+=	postgresql81-client>=${BASE_VERS}
 
 GNU_CONFIGURE=		yes
 BUILD_USES_MSGFMT=	yes
Index: ./databases/postgresql81-client/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/postgresql81-client/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/postgresql81-client/buildlink3.mk	21 Mar 2006 06:39:33 -0000	1.2
+++ ./databases/postgresql81-client/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,7 +13,7 @@
 BUILDLINK_PACKAGES+=	postgresql81-client
 
 .if !empty(POSTGRESQL81_CLIENT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.postgresql81-client+=		postgresql81-client>=8.1.0
+BUILDLINK_API_DEPENDS.postgresql81-client+=		postgresql81-client>=8.1.0
 BUILDLINK_PKGSRCDIR.postgresql81-client?=	../../databases/postgresql81-client
 
 .  if defined(PG_SUBPREFIX) && !empty(PG_SUBPREFIX)
Index: ./databases/py-ZODB/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-ZODB/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./databases/py-ZODB/buildlink3.mk	5 Feb 2006 23:08:35 -0000	1.5
+++ ./databases/py-ZODB/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyZODB
 
 .if !empty(PY_ZODB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyZODB+=	${PYPKGPREFIX}-ZODB>=3.2nb1
-BUILDLINK_RECOMMENDED.pyZODB?=	${PYPKGPREFIX}-ZODB>=3.2.1nb2
+BUILDLINK_API_DEPENDS.pyZODB+=	${PYPKGPREFIX}-ZODB>=3.2nb1
+BUILDLINK_ABI_DEPENDS.pyZODB?=	${PYPKGPREFIX}-ZODB>=3.2.1nb2
 BUILDLINK_PKGSRCDIR.pyZODB?=	../../databases/py-ZODB
 .endif	# PY_ZODB_BUILDLINK3_MK
 
Index: ./databases/py-bsddb3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-bsddb3/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./databases/py-bsddb3/buildlink3.mk	5 Feb 2006 23:08:35 -0000	1.4
+++ ./databases/py-bsddb3/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -17,8 +17,8 @@
 BUILDLINK_PACKAGES+=	py-bsddb3
 
 .if !empty(PY_BSDDB3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.py-bsddb3+=	${PYPKGPREFIX}-bsddb3>=4.3.3nb1
-BUILDLINK_RECOMMENDED.py-bsddb3?=	${PYPKGPREFIX}-bsddb3>=4.3.3nb2
+BUILDLINK_API_DEPENDS.py-bsddb3+=	${PYPKGPREFIX}-bsddb3>=4.3.3nb1
+BUILDLINK_ABI_DEPENDS.py-bsddb3?=	${PYPKGPREFIX}-bsddb3>=4.3.3nb2
 BUILDLINK_PKGSRCDIR.py-bsddb3?=	../../databases/py-bsddb3
 .endif	# PY_BSDDB3_BUILDLINK3_MK
 
Index: ./databases/py-ldap/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-ldap/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/py-ldap/buildlink3.mk	5 Feb 2006 23:08:36 -0000	1.3
+++ ./databases/py-ldap/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyldap
 
 .if !empty(PY_LDAP_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyldap+=	${PYPKGPREFIX}-ldap>=2.0.10nb1
-BUILDLINK_RECOMMENDED.pyldap?=	${PYPKGPREFIX}-ldap>=2.0.10nb2
+BUILDLINK_API_DEPENDS.pyldap+=	${PYPKGPREFIX}-ldap>=2.0.10nb1
+BUILDLINK_ABI_DEPENDS.pyldap?=	${PYPKGPREFIX}-ldap>=2.0.10nb2
 BUILDLINK_PKGSRCDIR.pyldap?=	../../databases/py-ldap
 .endif	# PY_LDAP_BUILDLINK3_MK
 
Index: ./databases/py-metakit/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-metakit/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/py-metakit/buildlink3.mk	5 Feb 2006 23:08:36 -0000	1.2
+++ ./databases/py-metakit/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pymetakit
 
 .if !empty(PY_METAKIT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pymetakit+=	${PYPKGPREFIX}-metakit-*
-BUILDLINK_RECOMMENDED.pymetakit?=	${PYPKGPREFIX}-metakit>=2.4.9.3nb2
+BUILDLINK_API_DEPENDS.pymetakit+=	${PYPKGPREFIX}-metakit-*
+BUILDLINK_ABI_DEPENDS.pymetakit?=	${PYPKGPREFIX}-metakit>=2.4.9.3nb2
 BUILDLINK_PKGSRCDIR.pymetakit?=	../../databases/py-metakit
 .endif	# PY_METAKIT_BUILDLINK3_MK
 
Index: ./databases/py-mssql/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-mssql/Makefile,v
retrieving revision 1.3
diff -u -r1.3 Makefile
--- ./databases/py-mssql/Makefile	13 Mar 2006 12:52:03 -0000	1.3
+++ ./databases/py-mssql/Makefile	4 Apr 2006 06:26:51 -0000
@@ -10,7 +10,7 @@
 HOMEPAGE=		http://pymssql.sourceforge.net/
 COMMENT=		Python interface to MS SQL
 
-BUILDLINK_DEPENDS.freetds+=	freetds>=0.63
+BUILDLINK_API_DEPENDS.freetds+=	freetds>=0.63
 
 PYTHON_VERSION_REQD=	24
 PYBINMODULE=		yes
Index: ./databases/py-psycopg/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/py-psycopg/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/py-psycopg/buildlink3.mk	5 Feb 2006 23:08:36 -0000	1.3
+++ ./databases/py-psycopg/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	psycopg
 
 .if !empty(PY_PSYCOPG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.psycopg+=	${PYPKGPREFIX}-psycopg>=1.1.21
-BUILDLINK_RECOMMENDED.psycopg?=	${PYPKGPREFIX}-psycopg>=1.1.21nb1
+BUILDLINK_API_DEPENDS.psycopg+=	${PYPKGPREFIX}-psycopg>=1.1.21
+BUILDLINK_ABI_DEPENDS.psycopg?=	${PYPKGPREFIX}-psycopg>=1.1.21nb1
 BUILDLINK_PKGSRCDIR.psycopg?=	../../databases/py-psycopg
 .endif	# PY_PSYCOPG_BUILDLINK3_MK
 
Index: ./databases/qdbm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/qdbm/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/qdbm/buildlink3.mk	11 Jan 2006 18:23:01 -0000	1.3
+++ ./databases/qdbm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	qdbm
 
 .if !empty(QDBM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.qdbm+=	qdbm>=1.8.40
+BUILDLINK_API_DEPENDS.qdbm+=	qdbm>=1.8.40
 BUILDLINK_PKGSRCDIR.qdbm?=	../../databases/qdbm
 .endif	# QDBM_BUILDLINK3_MK
 
Index: ./databases/rrdtool/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/rrdtool/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./databases/rrdtool/buildlink3.mk	5 Feb 2006 23:08:37 -0000	1.9
+++ ./databases/rrdtool/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	rrdtool
 
 .if !empty(RRDTOOL_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.rrdtool+=	rrdtool>=1.2.9
-BUILDLINK_RECOMMENDED.rrdtool+=	rrdtool>=1.2.12nb1
+BUILDLINK_API_DEPENDS.rrdtool+=	rrdtool>=1.2.9
+BUILDLINK_ABI_DEPENDS.rrdtool+=	rrdtool>=1.2.12nb1
 BUILDLINK_PKGSRCDIR.rrdtool?=	../../databases/rrdtool
 .endif	# RRDTOOL_BUILDLINK3_MK
 
Index: ./databases/sdbm/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/sdbm/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./databases/sdbm/buildlink3.mk	5 Apr 2005 10:24:41 -0000	1.1
+++ ./databases/sdbm/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	sdbm
 
 .if !empty(SDBM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sdbm+=	sdbm>=90.12.1
+BUILDLINK_API_DEPENDS.sdbm+=	sdbm>=90.12.1
 BUILDLINK_PKGSRCDIR.sdbm?=	../../databases/sdbm
 .endif	# SDBM_BUILDLINK3_MK
 
Index: ./databases/shared-mime-info/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/shared-mime-info/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/shared-mime-info/buildlink3.mk	5 Feb 2006 23:08:37 -0000	1.3
+++ ./databases/shared-mime-info/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	shared-mime-info
 
 .if !empty(SHARED_MIME_INFO_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.shared-mime-info+=	shared-mime-info>=0.15
-BUILDLINK_RECOMMENDED.shared-mime-info?=	shared-mime-info>=0.16nb2
+BUILDLINK_API_DEPENDS.shared-mime-info+=	shared-mime-info>=0.15
+BUILDLINK_ABI_DEPENDS.shared-mime-info?=	shared-mime-info>=0.16nb2
 BUILDLINK_PKGSRCDIR.shared-mime-info?=	../../databases/shared-mime-info
 .endif	# SHARED_MIME_INFO_BUILDLINK3_MK
 
Index: ./databases/sqlite/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/sqlite/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/sqlite/buildlink3.mk	5 Feb 2006 23:08:37 -0000	1.3
+++ ./databases/sqlite/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sqlite
 
 .if !empty(SQLITE_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sqlite+=	sqlite>=2.8.0
-BUILDLINK_RECOMMENDED.sqlite+=	sqlite>=2.8.16nb1
+BUILDLINK_API_DEPENDS.sqlite+=	sqlite>=2.8.0
+BUILDLINK_ABI_DEPENDS.sqlite+=	sqlite>=2.8.16nb1
 BUILDLINK_PKGSRCDIR.sqlite?=	../../databases/sqlite
 .endif	# SQLITE_BUILDLINK3_MK
 
Index: ./databases/sqlite3/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/sqlite3/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/sqlite3/buildlink3.mk	5 Feb 2006 23:08:37 -0000	1.2
+++ ./databases/sqlite3/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	sqlite3
 
 .if !empty(SQLITE3_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.sqlite3+=	sqlite3>=3.0.8
-BUILDLINK_RECOMMENDED.sqlite3?=	sqlite3>=3.2.7nb1
+BUILDLINK_API_DEPENDS.sqlite3+=	sqlite3>=3.0.8
+BUILDLINK_ABI_DEPENDS.sqlite3?=	sqlite3>=3.2.7nb1
 BUILDLINK_PKGSRCDIR.sqlite3?=	../../databases/sqlite3
 .endif	# SQLITE3_BUILDLINK3_MK
 
Index: ./databases/sqlite3-tcl/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/databases/sqlite3-tcl/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- ./databases/sqlite3-tcl/Makefile	15 Feb 2006 19:50:52 -0000	1.4
+++ ./databases/sqlite3-tcl/Makefile	4 Apr 2006 06:26:51 -0000
@@ -10,7 +10,7 @@
 INSTALL_TARGET=		tcl_install
 TEST_TARGET=		test
 
-BUILDLINK_DEPENDS.sqlite3+=	sqlite3>=3.2.7
+BUILDLINK_API_DEPENDS.sqlite3+=	sqlite3>=3.2.7
 
 .include "../../databases/sqlite3/buildlink3.mk"
 .include "../../lang/tcl/buildlink3.mk"
Index: ./databases/tdb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/tdb/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./databases/tdb/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.4
+++ ./databases/tdb/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tdb
 
 .if !empty(TDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tdb+=		tdb>=1.0.6
-BUILDLINK_RECOMMENDED.tdb+=	tdb>=1.0.6nb2
+BUILDLINK_API_DEPENDS.tdb+=		tdb>=1.0.6
+BUILDLINK_ABI_DEPENDS.tdb+=	tdb>=1.0.6nb2
 BUILDLINK_PKGSRCDIR.tdb?=	../../databases/tdb
 .endif	# TDB_BUILDLINK3_MK
 
Index: ./databases/tcl-postgresql73/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/tcl-postgresql73/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./databases/tcl-postgresql73/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.4
+++ ./databases/tcl-postgresql73/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-postgresql73
 
 .if !empty(TCL_POSTGRESQL73_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-postgresql73+=	tcl-postgresql73>=7.3.6
-BUILDLINK_RECOMMENDED.tcl-postgresql73?=	tcl-postgresql73>=7.3.10nb2
+BUILDLINK_API_DEPENDS.tcl-postgresql73+=	tcl-postgresql73>=7.3.6
+BUILDLINK_ABI_DEPENDS.tcl-postgresql73?=	tcl-postgresql73>=7.3.10nb2
 BUILDLINK_PKGSRCDIR.tcl-postgresql73?=	../../databases/tcl-postgresql73
 .endif	# TCL_POSTGRESQL73_BUILDLINK3_MK
 
Index: ./databases/tcl-postgresql74/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/tcl-postgresql74/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./databases/tcl-postgresql74/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.2
+++ ./databases/tcl-postgresql74/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	tcl-postgresql73
 
 .if !empty(TCL_POSTGRESQL73_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tcl-postgresql73+=	tcl-postgresql73>=7.3.6
-BUILDLINK_RECOMMENDED.tcl-postgresql73?=	tcl-postgresql74>=7.4.8nb1
+BUILDLINK_API_DEPENDS.tcl-postgresql73+=	tcl-postgresql73>=7.3.6
+BUILDLINK_ABI_DEPENDS.tcl-postgresql73?=	tcl-postgresql74>=7.4.8nb1
 BUILDLINK_PKGSRCDIR.tcl-postgresql73?=	../../databases/tcl-postgresql73
 .endif	# TCL_POSTGRESQL73_BUILDLINK3_MK
 
Index: ./databases/tinycdb/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/tinycdb/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./databases/tinycdb/buildlink3.mk	19 Jan 2006 04:40:36 -0000	1.1
+++ ./databases/tinycdb/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	tinycdb
 
 .if !empty(TINYCDB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.tinycdb+=	tinycdb>=0.75
+BUILDLINK_API_DEPENDS.tinycdb+=	tinycdb>=0.75
 BUILDLINK_DEPMETHOD.tinycdb?=	build
 BUILDLINK_PKGSRCDIR.tinycdb?=	../../databases/tinycdb
 .endif	# TINYCDB_BUILDLINK3_MK
Index: ./databases/unixodbc/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/databases/unixodbc/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./databases/unixodbc/buildlink3.mk	15 Oct 2004 11:54:10 -0000	1.3
+++ ./databases/unixodbc/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	unixodbc
 
 .if !empty(UNIXODBC_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.unixodbc+=	unixodbc>=2.0.11nb1
-BUILDLINK_RECOMMENDED.unixodbc+=	unixodbc>=2.0.11nb3
+BUILDLINK_API_DEPENDS.unixodbc+=	unixodbc>=2.0.11nb1
+BUILDLINK_ABI_DEPENDS.unixodbc+=	unixodbc>=2.0.11nb3
 BUILDLINK_PKGSRCDIR.unixodbc?=	../../databases/unixodbc
 .endif	# UNIXODBC_BUILDLINK3_MK
 
Index: ./devel/GConf/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/GConf/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./devel/GConf/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.6
+++ ./devel/GConf/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GConf
 
 .if !empty(GCONF_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GConf+=	GConf>=1.0.9nb7
-BUILDLINK_RECOMMENDED.GConf?=	GConf>=1.0.9nb8
+BUILDLINK_API_DEPENDS.GConf+=	GConf>=1.0.9nb7
+BUILDLINK_ABI_DEPENDS.GConf?=	GConf>=1.0.9nb8
 BUILDLINK_PKGSRCDIR.GConf?=	../../devel/GConf
 .endif	# GCONF_BUILDLINK3_MK
 
Index: ./devel/GConf2/Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/devel/GConf2/Makefile.common,v
retrieving revision 1.36
diff -u -r1.36 Makefile.common
--- ./devel/GConf2/Makefile.common	31 Dec 2005 00:05:11 -0000	1.36
+++ ./devel/GConf2/Makefile.common	4 Apr 2006 06:26:51 -0000
@@ -34,7 +34,7 @@
 CONFIGURE_ARGS+=	--disable-gtk-doc
 CONFIGURE_ARGS+=	--enable-gconf-source=xml::${PKG_SYSCONFDIR}/gconf.xml.defaults
 
-BUILDLINK_DEPENDS.glib2+=	glib2>=2.8.0
+BUILDLINK_API_DEPENDS.glib2+=	glib2>=2.8.0
 
 .include "../../devel/glib2/buildlink3.mk"
 .include "../../devel/popt/buildlink3.mk"
Index: ./devel/GConf2/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/GConf2/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/GConf2/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.7
+++ ./devel/GConf2/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GConf2
 
 .if !empty(GCONF2_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GConf2+=	GConf2>=2.8.0.1
-BUILDLINK_RECOMMENDED.GConf2?=	GConf2>=2.12.1nb1
+BUILDLINK_API_DEPENDS.GConf2+=	GConf2>=2.8.0.1
+BUILDLINK_ABI_DEPENDS.GConf2?=	GConf2>=2.12.1nb1
 BUILDLINK_PKGSRCDIR.GConf2?=	../../devel/GConf2
 .endif	# GCONF2_BUILDLINK3_MK
 
Index: ./devel/GConf2-ui/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/GConf2-ui/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./devel/GConf2-ui/Makefile	5 Feb 2006 23:08:38 -0000	1.24
+++ ./devel/GConf2-ui/Makefile	4 Apr 2006 06:26:51 -0000
@@ -6,7 +6,7 @@
 PKGNAME=	${DISTNAME:S/GConf/GConf2-ui/}
 PKGREVISION=	2
 
-BUILDLINK_DEPENDS.GConf2+=	GConf2>=2.12.1
+BUILDLINK_API_DEPENDS.GConf2+=	GConf2>=2.12.1
 
 CONFIGURE_ARGS+=	--enable-gtk
 
Index: ./devel/GConf2-ui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/devel/GConf2-ui/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./devel/GConf2-ui/buildlink3.mk	5 Feb 2006 23:08:38 -0000	1.7
+++ ./devel/GConf2-ui/buildlink3.mk	4 Apr 2006 06:26:51 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	GConf2-ui
 
 .if !empty(GCONF2_UI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.GConf2-ui+=	GConf2-ui>=2.8.0.1
-BUILDLINK_RECOMMENDED.GConf2-ui?=	GConf2-ui>=2.12.1nb2
+BUILDLINK_API_DEPENDS.GConf2-ui+=	GConf2-ui>=2.8.0.1
+BUILDLINK_ABI_DEPENDS.GConf2-ui?=	GConf2-ui>=2.12.1nb2
 BUILDLINK_PKGSRCDIR.GConf2-ui?=	../../devel/GConf2-ui
 .endif	# GCONF2_UI_BUILDLINK3_MK
 
Index: ./devel/Gorm/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/devel/Gorm/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- ./devel/Gorm/Makefile	5 Feb 2006 23:08:38 -0000	1.32
+++ ./devel/Gorm/Makefile	4 Apr 2006 06:26:51 -0000
@@ -9,8 +9,8 @@
 HOMEPAGE=	http://www.gnustep.org/
 COMMENT=	Graphical user interface builder for GNUstep
 
-BUILDLINK_DEPENDS.gnustep-base+=	gnustep-base>=1.11.1
-BUILDLINK_DEPENDS.gnustep-gui+=		gnustep-gui>=0.10.1
+BUILDLINK_API_DEPENDS.gnustep-base+=	gnustep-base>=1.11.1
+BUILDLINK_API_DEPENDS.gnustep-gui+=		gnustep-gui>=0.10.1
 
 NO_CONFIGURE=	yes
 
